Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IPageContent

All Superinterfaces:
  IContainerContent, IContent, IElement

    public interface IPageContent

extends IContainerContent

Page instance. The page may contains multiple columns, which is defined in the MasterPage in report design. The content is defined by getBody().

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`IStyle` | `getContentComputedStyle()` Deprecated. use getPageBody().getComputedStyle()
`IStyle` | `getContentStyle()` Deprecated. use getPageBody().getStyle()
`java.util.Collection` | `getFooter()`
`DimensionType` | `getFooterHeight()`
`java.util.Collection` | `getHeader()`
`DimensionType` | `getHeaderHeight()`
`DimensionType` | `getLeftWidth()`
`DimensionType` | `getMarginBottom()`
`DimensionType` | `getMarginLeft()`
`DimensionType` | `getMarginRight()`
`DimensionType` | `getMarginTop()`
`java.lang.String` | `getOrientation()`
`IContent` | `getPageBody()`
`IContent` | `getPageFooter()`
`IContent` | `getPageHeader()`
`DimensionType` | `getPageHeight()`
`long` | `getPageNumber()`
`java.lang.String` | `getPageType()`
`DimensionType` | `getPageWidth()`
`DimensionType` | `getRightWidth()`
`IImageContent` | `getWaterMark()`
`void` | `setPageBody(IContent body)`
`void` | `setPageFooter(IContent footer)`
`void` | `setPageHeader(IContent header)`
`void` | `setPageNumber(long pageNumber)`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getStyleClass, getTOC, getWidth, getX, getY, isDirectionRTL, isRTL, readContent, setACL, setBookmark, setExtension, setGenerateBy, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setName, setReportContent, setStyleClass, setTOC, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.content.IElement
`getChildren, getParent, setParent`

Method Detail

### getOrientation

    java.lang.String getOrientation()

  Returns:
    Returns the orientation.

### getPageType

    java.lang.String getPageType()

  Returns:
    Returns the pageType.

### getPageHeight

    DimensionType getPageHeight()

  Returns:
    Returns the pageHeight.

### getPageWidth

    DimensionType getPageWidth()

  Returns:
    Returns the pageWidth.

### getWaterMark

    IImageContent getWaterMark()

  Returns:
    Returns the waterMark.

### getHeader

    java.util.Collection getHeader()

### getFooter

    java.util.Collection getFooter()

### getPageHeader

    IContent getPageHeader()

### getPageFooter

    IContent getPageFooter()

### getPageBody

    IContent getPageBody()

### setPageHeader

    void setPageHeader(IContent header)

### setPageFooter

    void setPageFooter(IContent footer)

### setPageBody

    void setPageBody(IContent body)

### getMarginTop

    DimensionType getMarginTop()

### getMarginBottom

    DimensionType getMarginBottom()

### getMarginLeft

    DimensionType getMarginLeft()

### getMarginRight

    DimensionType getMarginRight()

### getHeaderHeight

    DimensionType getHeaderHeight()

  Returns:
    Returns the header height

### getFooterHeight

    DimensionType getFooterHeight()

  Returns:
    Returns the footer height

### getLeftWidth

    DimensionType getLeftWidth()

  Returns:
    Returns the width of the left part

### getRightWidth

    DimensionType getRightWidth()

  Returns:
    Returns the width of the right part

### getContentStyle

    IStyle getContentStyle()

  Deprecated. use getPageBody().getStyle()

  Returns:
    Returns the content style.

### getPageNumber

    long getPageNumber()

### setPageNumber

    void setPageNumber(long pageNumber)

### getContentComputedStyle

    IStyle getContentComputedStyle()

  Deprecated. use getPageBody().getComputedStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.